package cn.superdesk.uniorder.dao.entity.fund;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SysFundActivatedExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SysFundActivatedExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    sys_fund_activated
     *
     * @mbg.generated Thu Dec 02 12:01:42 CST 2021
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFundUserIdIsNull() {
            addCriterion("fund_user_id is null");
            return (Criteria) this;
        }

        public Criteria andFundUserIdIsNotNull() {
            addCriterion("fund_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andFundUserIdEqualTo(Long value) {
            addCriterion("fund_user_id =", value, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdNotEqualTo(Long value) {
            addCriterion("fund_user_id <>", value, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdGreaterThan(Long value) {
            addCriterion("fund_user_id >", value, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("fund_user_id >=", value, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdLessThan(Long value) {
            addCriterion("fund_user_id <", value, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdLessThanOrEqualTo(Long value) {
            addCriterion("fund_user_id <=", value, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdIn(List<Long> values) {
            addCriterion("fund_user_id in", values, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdNotIn(List<Long> values) {
            addCriterion("fund_user_id not in", values, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdBetween(Long value1, Long value2) {
            addCriterion("fund_user_id between", value1, value2, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andFundUserIdNotBetween(Long value1, Long value2) {
            addCriterion("fund_user_id not between", value1, value2, "fundUserId");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberIsNull() {
            addCriterion("invoice_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberIsNotNull() {
            addCriterion("invoice_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberEqualTo(String value) {
            addCriterion("invoice_number =", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotEqualTo(String value) {
            addCriterion("invoice_number <>", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberGreaterThan(String value) {
            addCriterion("invoice_number >", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_number >=", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberLessThan(String value) {
            addCriterion("invoice_number <", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_number <=", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberLike(String value) {
            addCriterion("invoice_number like", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotLike(String value) {
            addCriterion("invoice_number not like", value, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberIn(List<String> values) {
            addCriterion("invoice_number in", values, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotIn(List<String> values) {
            addCriterion("invoice_number not in", values, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberBetween(String value1, String value2) {
            addCriterion("invoice_number between", value1, value2, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_number not between", value1, value2, "invoiceNumber");
            return (Criteria) this;
        }

        public Criteria andCheckCountIsNull() {
            addCriterion("check_count is null");
            return (Criteria) this;
        }

        public Criteria andCheckCountIsNotNull() {
            addCriterion("check_count is not null");
            return (Criteria) this;
        }

        public Criteria andCheckCountEqualTo(BigDecimal value) {
            addCriterion("check_count =", value, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountNotEqualTo(BigDecimal value) {
            addCriterion("check_count <>", value, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountGreaterThan(BigDecimal value) {
            addCriterion("check_count >", value, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("check_count >=", value, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountLessThan(BigDecimal value) {
            addCriterion("check_count <", value, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("check_count <=", value, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountIn(List<BigDecimal> values) {
            addCriterion("check_count in", values, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountNotIn(List<BigDecimal> values) {
            addCriterion("check_count not in", values, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("check_count between", value1, value2, "checkCount");
            return (Criteria) this;
        }

        public Criteria andCheckCountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("check_count not between", value1, value2, "checkCount");
            return (Criteria) this;
        }

        public Criteria andFundCountIsNull() {
            addCriterion("fund_count is null");
            return (Criteria) this;
        }

        public Criteria andFundCountIsNotNull() {
            addCriterion("fund_count is not null");
            return (Criteria) this;
        }

        public Criteria andFundCountEqualTo(BigDecimal value) {
            addCriterion("fund_count =", value, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountNotEqualTo(BigDecimal value) {
            addCriterion("fund_count <>", value, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountGreaterThan(BigDecimal value) {
            addCriterion("fund_count >", value, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("fund_count >=", value, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountLessThan(BigDecimal value) {
            addCriterion("fund_count <", value, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("fund_count <=", value, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountIn(List<BigDecimal> values) {
            addCriterion("fund_count in", values, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountNotIn(List<BigDecimal> values) {
            addCriterion("fund_count not in", values, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fund_count between", value1, value2, "fundCount");
            return (Criteria) this;
        }

        public Criteria andFundCountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fund_count not between", value1, value2, "fundCount");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusIsNull() {
            addCriterion("activated_status is null");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusIsNotNull() {
            addCriterion("activated_status is not null");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusEqualTo(Integer value) {
            addCriterion("activated_status =", value, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusNotEqualTo(Integer value) {
            addCriterion("activated_status <>", value, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusGreaterThan(Integer value) {
            addCriterion("activated_status >", value, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("activated_status >=", value, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusLessThan(Integer value) {
            addCriterion("activated_status <", value, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusLessThanOrEqualTo(Integer value) {
            addCriterion("activated_status <=", value, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusIn(List<Integer> values) {
            addCriterion("activated_status in", values, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusNotIn(List<Integer> values) {
            addCriterion("activated_status not in", values, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusBetween(Integer value1, Integer value2) {
            addCriterion("activated_status between", value1, value2, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andActivatedStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("activated_status not between", value1, value2, "activatedStatus");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdIsNull() {
            addCriterion("check_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdIsNotNull() {
            addCriterion("check_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdEqualTo(Long value) {
            addCriterion("check_user_id =", value, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdNotEqualTo(Long value) {
            addCriterion("check_user_id <>", value, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdGreaterThan(Long value) {
            addCriterion("check_user_id >", value, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("check_user_id >=", value, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdLessThan(Long value) {
            addCriterion("check_user_id <", value, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdLessThanOrEqualTo(Long value) {
            addCriterion("check_user_id <=", value, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdIn(List<Long> values) {
            addCriterion("check_user_id in", values, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdNotIn(List<Long> values) {
            addCriterion("check_user_id not in", values, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdBetween(Long value1, Long value2) {
            addCriterion("check_user_id between", value1, value2, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUserIdNotBetween(Long value1, Long value2) {
            addCriterion("check_user_id not between", value1, value2, "checkUserId");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNull() {
            addCriterion("check_time is null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNotNull() {
            addCriterion("check_time is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeEqualTo(Date value) {
            addCriterion("check_time =", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotEqualTo(Date value) {
            addCriterion("check_time <>", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThan(Date value) {
            addCriterion("check_time >", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("check_time >=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThan(Date value) {
            addCriterion("check_time <", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThanOrEqualTo(Date value) {
            addCriterion("check_time <=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIn(List<Date> values) {
            addCriterion("check_time in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotIn(List<Date> values) {
            addCriterion("check_time not in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeBetween(Date value1, Date value2) {
            addCriterion("check_time between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotBetween(Date value1, Date value2) {
            addCriterion("check_time not between", value1, value2, "checkTime");
            return (Criteria) this;
        }
    }

    /**
    sys_fund_activated
     *
     * @mbg.generated do_not_delete_during_merge Thu Dec 02 12:01:42 CST 2021
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    sys_fund_activated
     *
     * @mbg.generated Thu Dec 02 12:01:42 CST 2021
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}